Bug 19833 - bogus uninitialized variable warning for powerpc64
bogus uninitialized variable warning for powerpc64
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: tree-optimization
4.0.0
: P2 normal
: 4.1.0
Assigned To: Janis Johnson
: diagnostic
Depends on:
Blocks: Wuninitialized
  Show dependency treegraph
 
Reported: 2005-02-08 23:44 UTC by Janis Johnson
Modified: 2005-11-02 19:17 UTC (History)
2 users (show)

See Also:
Host:
Target: powerpc64-*-*
Build:
Known to work:
Known to fail:
Last reconfirmed: 2005-05-25 22:38:34


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Janis Johnson 2005-02-08 23:44:57 UTC
Test gcc.dg/uninit-4.c has failed on powerpc64-unknown-linux-gnu with -m64
since 2004-12-17 for a bogus uninitialized variable warning.  No other target
for which test results have been reported for the last few days gets this
failure.  The change is with this patch:
                                                                               
                
2004-12-17  Diego Novillo  <dnovillo@redhat.com>
                                                                               
                
        tree-optimization/18501
        * tree-optimize.c (init_tree_optimization_passes): Run
        pass_late_warn_uninitialized before the last DCE run.
                                                                               
                
The following testsuite changes were made at the same time:
                                                                               
                
2004-12-17  Diego Novillo  <dnovillo@redhat.com>
                                                                               
                
        * gcc.dg/pr18501.c: New test.
        * gcc.dg/uninit-5.c: XFAIL.
        * gcc.dg/uninit-9.c: XFAIL.
                                                                               
                
This is probably low priority, but I wanted a PR to reference when I mark
uninit-4.c XFAIL for { powerpc64*-*-* && lp64 }.  (The new XFAILs for the
other tests don't have such references to PRs.)
Comment 1 Andrew Pinski 2005-02-08 23:57:28 UTC
It also fails on powerpc-darwin with -m64 too.  So maybe xfailing it for powerpc*-*-* && lp64 would 
be a better idea.
Comment 2 Janis Johnson 2005-05-24 23:02:04 UTC
Diego, can this PR be closed as fixed?

Test gcc.dg/uninit-4.c started to XPASS with this patch from dnovillo:

    http://gcc.gnu.org/ml/gcc-cvs/2005-05/msg00529.html

On the same day, test uninit-9.c also started to XPASS on:

  hppa2.0w-hp-hpux11.11
  hppa2.0w-hp-hpux11.*
  hppa64-hp-hpux11.*
  i686-pc-cygwin
  i686-pc-linux-gnu
  ia64-unknown-linux-gnu
  mips-sgi-irix6.5
  powerpc64-unknown-linux-gnu
  powerpc-apple-darwin7.4.0
  powerpc-ibm-aix5.2.0.0
  s390-ibm-linux-gnu
  x86_64-unknown-linux-gnu

I'd like to remove the xfail for these two tests and close this PR.

Comment 3 Diego Novillo 2005-05-24 23:06:50 UTC
Subject: Re:  bogus uninitialized variable warning for powerpc64

On Tue, May 24, 2005 at 11:02:09PM -0000, janis at gcc dot gnu dot org wrote:

> Diego, can this PR be closed as fixed?
> 
Yes.  Apologies for not having done this before.  The
uninitialized warning machinery needs to be re-designed, though.
Right now, we are at the mercy of whether certain passes were
done in some specific order.


Diego.
Comment 4 CVS Commits 2005-05-24 23:42:02 UTC
Subject: Bug 19833

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	janis@gcc.gnu.org	2005-05-24 23:41:53

Modified files:
	gcc/testsuite/gcc.dg: uninit-4.c uninit-9.c 
	gcc/testsuite  : ChangeLog 

Log message:
	20005-05-24  Janis Johnson  <janis187@us.ibm.com>
	
	PR tree-optimization/19833
	gcc.dg/uninit-4.c: Remove xfail.
	gcc.dg/uninit-9.c: Ditto.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/gcc.dg/uninit-4.c.diff?cvsroot=gcc&r1=1.5&r2=1.6
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/gcc.dg/uninit-9.c.diff?cvsroot=gcc&r1=1.4&r2=1.5
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/ChangeLog.diff?cvsroot=gcc&r1=1.5517&r2=1.5518

Comment 5 Janis Johnson 2005-05-25 22:38:34 UTC
Diego fixed the bug, I removed the xfails.
Comment 6 Janis Johnson 2005-05-25 22:39:19 UTC
Closing the bug.